ortp.h File Reference

General purpose library functions. More...

`#include "ortp/logging.h"`
`#include "ortp/rtpsession.h"`
`#include "ortp/sessionset.h"`

## Functions

bool_t | ortp_min_version_required (int major, int minor, int micro)
void | ortp_init (void)
void | ortp_scheduler_init (void)
void | ortp_exit (void)
void | ortp_global_stats_reset (void)
rtp_stats_t * | ortp_get_global_stats (void)
void | ortp_global_stats_display (void)
void | rtp_stats_display (const rtp_stats_t *stats, const char *header)
void | rtp_stats_reset (rtp_stats_t *stats)

## Variables

rtp_stats_t | ortp_global_stats

## Detailed Description

General purpose library functions.

## Function Documentation

## ortp_exit()

void ortp_exit | ( | void |  | ) |

Gracefully uninitialize the library, including shutdowning the scheduler if it was started.

## ortp_global_stats_display()

void ortp_global_stats_display | ( | void |  | ) |

Display global statistics (cumulative for all RtpSession)

## ortp_init()

void ortp_init | ( | void |  | ) |

Initialize the oRTP library. You should call this function first before using oRTP API.

## ortp_min_version_required()

bool_t ortp_min_version_required | ( | int | major,
|  | int | minor,
|  | int | micro )

This function give the opportunity to programs to check if the libortp they link to has the minimum version number they need.

Returns: true if ortp has a version number greater or equal than the required one.

## ortp_scheduler_init()

void ortp_scheduler_init | ( | void |  | ) |

Initialize the oRTP scheduler. You only have to do that if you intend to use the scheduled mode of the RtpSession in your application.

## rtp_stats_display()

void rtp_stats_display | ( | const rtp_stats_t * | stats,
|  | const char * | header )

Print RTP statistics.